package mx.com.amx.mx.dda.crn.dao;

import java.util.List;

import mx.com.amx.mx.dda.crn.dto.TransaccionDTO;
import mx.com.amx.mx.dda.crn.dto.VisualizacionDTO;

public interface IDDACargaDAO 
{        
        public List<TransaccionDTO> obtenerTransaccionesMes(String date);
        
        public List<VisualizacionDTO> obtenerVisualizacionesMes(String date);
        
        public String obtenerSiguienteIdCarga();
        
        public boolean registrarCargaTransaccion(String idCarga, String date);
        
        public boolean ejecutarSPAsociarTitTransCntVigentes(String pstIdCargaTrans) throws Exception;
        
        public boolean ejecutarCalculoOverage(String pstIdCargaTrans) throws Exception;
}
